Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
ffd9::/16
First address
ffd9::
Last address
ffd9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
ffd9:0000:0000:0000:0000:0000:0000:0000
Type
Multicast ff00::/8
One-to-many traffic; replaces broadcast
Reverse DNS zone
9.d.f.f.ip6.arpa
Split into smaller subnets/24

ffd9::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
1ffd9::/24ffd9:ff:ffff:ffff:ffff:ffff:ffff:ffff
2ffd9:100::/24ffd9:1ff:ffff:ffff:ffff:ffff:ffff:ffff
3ffd9:200::/24ffd9:2ff:ffff:ffff:ffff:ffff:ffff:ffff
4ffd9:300::/24ffd9:3ff:ffff:ffff:ffff:ffff:ffff:ffff
5ffd9:400::/24ffd9:4ff:ffff:ffff:ffff:ffff:ffff:ffff
6ffd9:500::/24ffd9:5ff:ffff:ffff:ffff:ffff:ffff:ffff
7ffd9:600::/24ffd9:6ff:ffff:ffff:ffff:ffff:ffff:ffff
8ffd9:700::/24ffd9:7ff:ffff:ffff:ffff:ffff:ffff:ffff
9ffd9:800::/24ffd9:8ff:ffff:ffff:ffff:ffff:ffff:ffff
10ffd9:900::/24ffd9:9ff:ffff:ffff:ffff:ffff:ffff:ffff
11ffd9:a00::/24ffd9:aff:ffff:ffff:ffff:ffff:ffff:ffff
12ffd9:b00::/24ffd9:bff:ffff:ffff:ffff:ffff:ffff:ffff
13ffd9:c00::/24ffd9:cff:ffff:ffff:ffff:ffff:ffff:ffff
14ffd9:d00::/24ffd9:dff:ffff:ffff:ffff:ffff:ffff:ffff
15ffd9:e00::/24ffd9:eff:ffff:ffff:ffff:ffff:ffff:ffff
16ffd9:f00::/24ffd9:fff:ffff:ffff:ffff:ffff:ffff:ffff
17ffd9:1000::/24ffd9:10ff:ffff:ffff:ffff:ffff:ffff:ffff
18ffd9:1100::/24ffd9:11ff:ffff:ffff:ffff:ffff:ffff:ffff
19ffd9:1200::/24ffd9:12ff:ffff:ffff:ffff:ffff:ffff:ffff
20ffd9:1300::/24ffd9:13ff:ffff:ffff:ffff:ffff:ffff:ffff
21ffd9:1400::/24ffd9:14ff:ffff:ffff:ffff:ffff:ffff:ffff
22ffd9:1500::/24ffd9:15ff:ffff:ffff:ffff:ffff:ffff:ffff
23ffd9:1600::/24ffd9:16ff:ffff:ffff:ffff:ffff:ffff:ffff
24ffd9:1700::/24ffd9:17ff:ffff:ffff:ffff:ffff:ffff:ffff
25ffd9:1800::/24ffd9:18ff:ffff:ffff:ffff:ffff:ffff:ffff
26ffd9:1900::/24ffd9:19ff:ffff:ffff:ffff:ffff:ffff:ffff
27ffd9:1a00::/24ffd9:1aff:ffff:ffff:ffff:ffff:ffff:ffff
28ffd9:1b00::/24ffd9:1bff:ffff:ffff:ffff:ffff:ffff:ffff
29ffd9:1c00::/24ffd9:1cff:ffff:ffff:ffff:ffff:ffff:ffff
30ffd9:1d00::/24ffd9:1dff:ffff:ffff:ffff:ffff:ffff:ffff
31ffd9:1e00::/24ffd9:1eff:ffff:ffff:ffff:ffff:ffff:ffff
32ffd9:1f00::/24ffd9:1fff:ffff:ffff:ffff:ffff:ffff:ffff
33ffd9:2000::/24ffd9:20ff:ffff:ffff:ffff:ffff:ffff:ffff
34ffd9:2100::/24ffd9:21ff:ffff:ffff:ffff:ffff:ffff:ffff
35ffd9:2200::/24ffd9:22ff:ffff:ffff:ffff:ffff:ffff:ffff
36ffd9:2300::/24ffd9:23ff:ffff:ffff:ffff:ffff:ffff:ffff
37ffd9:2400::/24ffd9:24ff:ffff:ffff:ffff:ffff:ffff:ffff
38ffd9:2500::/24ffd9:25ff:ffff:ffff:ffff:ffff:ffff:ffff
39ffd9:2600::/24ffd9:26ff:ffff:ffff:ffff:ffff:ffff:ffff
40ffd9:2700::/24ffd9:27ff:ffff:ffff:ffff:ffff:ffff:ffff
41ffd9:2800::/24ffd9:28ff:ffff:ffff:ffff:ffff:ffff:ffff
42ffd9:2900::/24ffd9:29ff:ffff:ffff:ffff:ffff:ffff:ffff
43ffd9:2a00::/24ffd9:2aff:ffff:ffff:ffff:ffff:ffff:ffff
44ffd9:2b00::/24ffd9:2bff:ffff:ffff:ffff:ffff:ffff:ffff
45ffd9:2c00::/24ffd9:2cff:ffff:ffff:ffff:ffff:ffff:ffff
46ffd9:2d00::/24ffd9:2dff:ffff:ffff:ffff:ffff:ffff:ffff
47ffd9:2e00::/24ffd9:2eff:ffff:ffff:ffff:ffff:ffff:ffff
48ffd9:2f00::/24ffd9:2fff:ffff:ffff:ffff:ffff:ffff:ffff
49ffd9:3000::/24ffd9:30ff:ffff:ffff:ffff:ffff:ffff:ffff
50ffd9:3100::/24ffd9:31ff:ffff:ffff:ffff:ffff:ffff:ffff
51ffd9:3200::/24ffd9:32ff:ffff:ffff:ffff:ffff:ffff:ffff
52ffd9:3300::/24ffd9:33ff:ffff:ffff:ffff:ffff:ffff:ffff
53ffd9:3400::/24ffd9:34ff:ffff:ffff:ffff:ffff:ffff:ffff
54ffd9:3500::/24ffd9:35ff:ffff:ffff:ffff:ffff:ffff:ffff
55ffd9:3600::/24ffd9:36ff:ffff:ffff:ffff:ffff:ffff:ffff
56ffd9:3700::/24ffd9:37ff:ffff:ffff:ffff:ffff:ffff:ffff
57ffd9:3800::/24ffd9:38ff:ffff:ffff:ffff:ffff:ffff:ffff
58ffd9:3900::/24ffd9:39ff:ffff:ffff:ffff:ffff:ffff:ffff
59ffd9:3a00::/24ffd9:3aff:ffff:ffff:ffff:ffff:ffff:ffff
60ffd9:3b00::/24ffd9:3bff:ffff:ffff:ffff:ffff:ffff:ffff
61ffd9:3c00::/24ffd9:3cff:ffff:ffff:ffff:ffff:ffff:ffff
62ffd9:3d00::/24ffd9:3dff:ffff:ffff:ffff:ffff:ffff:ffff
63ffd9:3e00::/24ffd9:3eff:ffff:ffff:ffff:ffff:ffff:ffff
64ffd9:3f00::/24ffd9:3fff:ffff:ffff:ffff:ffff:ffff:ffff
65ffd9:4000::/24ffd9:40ff:ffff:ffff:ffff:ffff:ffff:ffff
66ffd9:4100::/24ffd9:41ff:ffff:ffff:ffff:ffff:ffff:ffff
67ffd9:4200::/24ffd9:42ff:ffff:ffff:ffff:ffff:ffff:ffff
68ffd9:4300::/24ffd9:43ff:ffff:ffff:ffff:ffff:ffff:ffff
69ffd9:4400::/24ffd9:44ff:ffff:ffff:ffff:ffff:ffff:ffff
70ffd9:4500::/24ffd9:45ff:ffff:ffff:ffff:ffff:ffff:ffff
71ffd9:4600::/24ffd9:46ff:ffff:ffff:ffff:ffff:ffff:ffff
72ffd9:4700::/24ffd9:47ff:ffff:ffff:ffff:ffff:ffff:ffff
73ffd9:4800::/24ffd9:48ff:ffff:ffff:ffff:ffff:ffff:ffff
74ffd9:4900::/24ffd9:49ff:ffff:ffff:ffff:ffff:ffff:ffff
75ffd9:4a00::/24ffd9:4aff:ffff:ffff:ffff:ffff:ffff:ffff
76ffd9:4b00::/24ffd9:4bff:ffff:ffff:ffff:ffff:ffff:ffff
77ffd9:4c00::/24ffd9:4cff:ffff:ffff:ffff:ffff:ffff:ffff
78ffd9:4d00::/24ffd9:4dff:ffff:ffff:ffff:ffff:ffff:ffff
79ffd9:4e00::/24ffd9:4eff:ffff:ffff:ffff:ffff:ffff:ffff
80ffd9:4f00::/24ffd9:4fff:ffff:ffff:ffff:ffff:ffff:ffff
81ffd9:5000::/24ffd9:50ff:ffff:ffff:ffff:ffff:ffff:ffff
82ffd9:5100::/24ffd9:51ff:ffff:ffff:ffff:ffff:ffff:ffff
83ffd9:5200::/24ffd9:52ff:ffff:ffff:ffff:ffff:ffff:ffff
84ffd9:5300::/24ffd9:53ff:ffff:ffff:ffff:ffff:ffff:ffff
85ffd9:5400::/24ffd9:54ff:ffff:ffff:ffff:ffff:ffff:ffff
86ffd9:5500::/24ffd9:55ff:ffff:ffff:ffff:ffff:ffff:ffff
87ffd9:5600::/24ffd9:56ff:ffff:ffff:ffff:ffff:ffff:ffff
88ffd9:5700::/24ffd9:57ff:ffff:ffff:ffff:ffff:ffff:ffff
89ffd9:5800::/24ffd9:58ff:ffff:ffff:ffff:ffff:ffff:ffff
90ffd9:5900::/24ffd9:59ff:ffff:ffff:ffff:ffff:ffff:ffff
91ffd9:5a00::/24ffd9:5aff:ffff:ffff:ffff:ffff:ffff:ffff
92ffd9:5b00::/24ffd9:5bff:ffff:ffff:ffff:ffff:ffff:ffff
93ffd9:5c00::/24ffd9:5cff:ffff:ffff:ffff:ffff:ffff:ffff
94ffd9:5d00::/24ffd9:5dff:ffff:ffff:ffff:ffff:ffff:ffff
95ffd9:5e00::/24ffd9:5eff:ffff:ffff:ffff:ffff:ffff:ffff
96ffd9:5f00::/24ffd9:5fff:ffff:ffff:ffff:ffff:ffff:ffff
97ffd9:6000::/24ffd9:60ff:ffff:ffff:ffff:ffff:ffff:ffff
98ffd9:6100::/24ffd9:61ff:ffff:ffff:ffff:ffff:ffff:ffff
99ffd9:6200::/24ffd9:62ff:ffff:ffff:ffff:ffff:ffff:ffff
100ffd9:6300::/24ffd9:63ff:ffff:ffff:ffff:ffff:ffff:ffff
101ffd9:6400::/24ffd9:64ff:ffff:ffff:ffff:ffff:ffff:ffff
102ffd9:6500::/24ffd9:65ff:ffff:ffff:ffff:ffff:ffff:ffff
103ffd9:6600::/24ffd9:66ff:ffff:ffff:ffff:ffff:ffff:ffff
104ffd9:6700::/24ffd9:67ff:ffff:ffff:ffff:ffff:ffff:ffff
105ffd9:6800::/24ffd9:68ff:ffff:ffff:ffff:ffff:ffff:ffff
106ffd9:6900::/24ffd9:69ff:ffff:ffff:ffff:ffff:ffff:ffff
107ffd9:6a00::/24ffd9:6aff:ffff:ffff:ffff:ffff:ffff:ffff
108ffd9:6b00::/24ffd9:6bff:ffff:ffff:ffff:ffff:ffff:ffff
109ffd9:6c00::/24ffd9:6cff:ffff:ffff:ffff:ffff:ffff:ffff
110ffd9:6d00::/24ffd9:6dff:ffff:ffff:ffff:ffff:ffff:ffff
111ffd9:6e00::/24ffd9:6eff:ffff:ffff:ffff:ffff:ffff:ffff
112ffd9:6f00::/24ffd9:6fff:ffff:ffff:ffff:ffff:ffff:ffff
113ffd9:7000::/24ffd9:70ff:ffff:ffff:ffff:ffff:ffff:ffff
114ffd9:7100::/24ffd9:71ff:ffff:ffff:ffff:ffff:ffff:ffff
115ffd9:7200::/24ffd9:72ff:ffff:ffff:ffff:ffff:ffff:ffff
116ffd9:7300::/24ffd9:73ff:ffff:ffff:ffff:ffff:ffff:ffff
117ffd9:7400::/24ffd9:74ff:ffff:ffff:ffff:ffff:ffff:ffff
118ffd9:7500::/24ffd9:75ff:ffff:ffff:ffff:ffff:ffff:ffff
119ffd9:7600::/24ffd9:76ff:ffff:ffff:ffff:ffff:ffff:ffff
120ffd9:7700::/24ffd9:77ff:ffff:ffff:ffff:ffff:ffff:ffff
121ffd9:7800::/24ffd9:78ff:ffff:ffff:ffff:ffff:ffff:ffff
122ffd9:7900::/24ffd9:79ff:ffff:ffff:ffff:ffff:ffff:ffff
123ffd9:7a00::/24ffd9:7aff:ffff:ffff:ffff:ffff:ffff:ffff
124ffd9:7b00::/24ffd9:7bff:ffff:ffff:ffff:ffff:ffff:ffff
125ffd9:7c00::/24ffd9:7cff:ffff:ffff:ffff:ffff:ffff:ffff
126ffd9:7d00::/24ffd9:7dff:ffff:ffff:ffff:ffff:ffff:ffff
127ffd9:7e00::/24ffd9:7eff:ffff:ffff:ffff:ffff:ffff:ffff
128ffd9:7f00::/24ffd9:7fff:ffff:ffff:ffff:ffff:ffff:ffff
129ffd9:8000::/24ffd9:80ff:ffff:ffff:ffff:ffff:ffff:ffff
130ffd9:8100::/24ffd9:81ff:ffff:ffff:ffff:ffff:ffff:ffff
131ffd9:8200::/24ffd9:82ff:ffff:ffff:ffff:ffff:ffff:ffff
132ffd9:8300::/24ffd9:83ff:ffff:ffff:ffff:ffff:ffff:ffff
133ffd9:8400::/24ffd9:84ff:ffff:ffff:ffff:ffff:ffff:ffff
134ffd9:8500::/24ffd9:85ff:ffff:ffff:ffff:ffff:ffff:ffff
135ffd9:8600::/24ffd9:86ff:ffff:ffff:ffff:ffff:ffff:ffff
136ffd9:8700::/24ffd9:87ff:ffff:ffff:ffff:ffff:ffff:ffff
137ffd9:8800::/24ffd9:88ff:ffff:ffff:ffff:ffff:ffff:ffff
138ffd9:8900::/24ffd9:89ff:ffff:ffff:ffff:ffff:ffff:ffff
139ffd9:8a00::/24ffd9:8aff:ffff:ffff:ffff:ffff:ffff:ffff
140ffd9:8b00::/24ffd9:8bff:ffff:ffff:ffff:ffff:ffff:ffff
141ffd9:8c00::/24ffd9:8cff:ffff:ffff:ffff:ffff:ffff:ffff
142ffd9:8d00::/24ffd9:8dff:ffff:ffff:ffff:ffff:ffff:ffff
143ffd9:8e00::/24ffd9:8eff:ffff:ffff:ffff:ffff:ffff:ffff
144ffd9:8f00::/24ffd9:8fff:ffff:ffff:ffff:ffff:ffff:ffff
145ffd9:9000::/24ffd9:90ff:ffff:ffff:ffff:ffff:ffff:ffff
146ffd9:9100::/24ffd9:91ff:ffff:ffff:ffff:ffff:ffff:ffff
147ffd9:9200::/24ffd9:92ff:ffff:ffff:ffff:ffff:ffff:ffff
148ffd9:9300::/24ffd9:93ff:ffff:ffff:ffff:ffff:ffff:ffff
149ffd9:9400::/24ffd9:94ff:ffff:ffff:ffff:ffff:ffff:ffff
150ffd9:9500::/24ffd9:95ff:ffff:ffff:ffff:ffff:ffff:ffff
151ffd9:9600::/24ffd9:96ff:ffff:ffff:ffff:ffff:ffff:ffff
152ffd9:9700::/24ffd9:97ff:ffff:ffff:ffff:ffff:ffff:ffff
153ffd9:9800::/24ffd9:98ff:ffff:ffff:ffff:ffff:ffff:ffff
154ffd9:9900::/24ffd9:99ff:ffff:ffff:ffff:ffff:ffff:ffff
155ffd9:9a00::/24ffd9:9aff:ffff:ffff:ffff:ffff:ffff:ffff
156ffd9:9b00::/24ffd9:9bff:ffff:ffff:ffff:ffff:ffff:ffff
157ffd9:9c00::/24ffd9:9cff:ffff:ffff:ffff:ffff:ffff:ffff
158ffd9:9d00::/24ffd9:9dff:ffff:ffff:ffff:ffff:ffff:ffff
159ffd9:9e00::/24ffd9:9eff:ffff:ffff:ffff:ffff:ffff:ffff
160ffd9:9f00::/24ffd9:9fff:ffff:ffff:ffff:ffff:ffff:ffff
161ffd9:a000::/24ffd9:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
162ffd9:a100::/24ffd9:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
163ffd9:a200::/24ffd9:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
164ffd9:a300::/24ffd9:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
165ffd9:a400::/24ffd9:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
166ffd9:a500::/24ffd9:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
167ffd9:a600::/24ffd9:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
168ffd9:a700::/24ffd9:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
169ffd9:a800::/24ffd9:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
170ffd9:a900::/24ffd9:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
171ffd9:aa00::/24ffd9:aaff:ffff:ffff:ffff:ffff:ffff:ffff
172ffd9:ab00::/24ffd9:abff:ffff:ffff:ffff:ffff:ffff:ffff
173ffd9:ac00::/24ffd9:acff:ffff:ffff:ffff:ffff:ffff:ffff
174ffd9:ad00::/24ffd9:adff:ffff:ffff:ffff:ffff:ffff:ffff
175ffd9:ae00::/24ffd9:aeff:ffff:ffff:ffff:ffff:ffff:ffff
176ffd9:af00::/24ffd9:afff:ffff:ffff:ffff:ffff:ffff:ffff
177ffd9:b000::/24ffd9:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
178ffd9:b100::/24ffd9:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
179ffd9:b200::/24ffd9:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
180ffd9:b300::/24ffd9:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
181ffd9:b400::/24ffd9:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
182ffd9:b500::/24ffd9:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
183ffd9:b600::/24ffd9:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
184ffd9:b700::/24ffd9:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
185ffd9:b800::/24ffd9:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
186ffd9:b900::/24ffd9:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
187ffd9:ba00::/24ffd9:baff:ffff:ffff:ffff:ffff:ffff:ffff
188ffd9:bb00::/24ffd9:bbff:ffff:ffff:ffff:ffff:ffff:ffff
189ffd9:bc00::/24ffd9:bcff:ffff:ffff:ffff:ffff:ffff:ffff
190ffd9:bd00::/24ffd9:bdff:ffff:ffff:ffff:ffff:ffff:ffff
191ffd9:be00::/24ffd9:beff:ffff:ffff:ffff:ffff:ffff:ffff
192ffd9:bf00::/24ffd9:bfff:ffff:ffff:ffff:ffff:ffff:ffff
193ffd9:c000::/24ffd9:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
194ffd9:c100::/24ffd9:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
195ffd9:c200::/24ffd9:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
196ffd9:c300::/24ffd9:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
197ffd9:c400::/24ffd9:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
198ffd9:c500::/24ffd9:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
199ffd9:c600::/24ffd9:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
200ffd9:c700::/24ffd9:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
201ffd9:c800::/24ffd9:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
202ffd9:c900::/24ffd9:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
203ffd9:ca00::/24ffd9:caff:ffff:ffff:ffff:ffff:ffff:ffff
204ffd9:cb00::/24ffd9:cbff:ffff:ffff:ffff:ffff:ffff:ffff
205ffd9:cc00::/24ffd9:ccff:ffff:ffff:ffff:ffff:ffff:ffff
206ffd9:cd00::/24ffd9:cdff:ffff:ffff:ffff:ffff:ffff:ffff
207ffd9:ce00::/24ffd9:ceff:ffff:ffff:ffff:ffff:ffff:ffff
208ffd9:cf00::/24ffd9:cfff:ffff:ffff:ffff:ffff:ffff:ffff
209ffd9:d000::/24ffd9:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
210ffd9:d100::/24ffd9:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
211ffd9:d200::/24ffd9:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
212ffd9:d300::/24ffd9:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
213ffd9:d400::/24ffd9:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
214ffd9:d500::/24ffd9:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
215ffd9:d600::/24ffd9:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
216ffd9:d700::/24ffd9:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
217ffd9:d800::/24ffd9:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
218ffd9:d900::/24ffd9:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
219ffd9:da00::/24ffd9:daff:ffff:ffff:ffff:ffff:ffff:ffff
220ffd9:db00::/24ffd9:dbff:ffff:ffff:ffff:ffff:ffff:ffff
221ffd9:dc00::/24ffd9:dcff:ffff:ffff:ffff:ffff:ffff:ffff
222ffd9:dd00::/24ffd9:ddff:ffff:ffff:ffff:ffff:ffff:ffff
223ffd9:de00::/24ffd9:deff:ffff:ffff:ffff:ffff:ffff:ffff
224ffd9:df00::/24ffd9:dfff:ffff:ffff:ffff:ffff:ffff:ffff
225ffd9:e000::/24ffd9:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
226ffd9:e100::/24ffd9:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
227ffd9:e200::/24ffd9:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
228ffd9:e300::/24ffd9:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
229ffd9:e400::/24ffd9:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
230ffd9:e500::/24ffd9:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
231ffd9:e600::/24ffd9:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
232ffd9:e700::/24ffd9:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
233ffd9:e800::/24ffd9:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
234ffd9:e900::/24ffd9:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
235ffd9:ea00::/24ffd9:eaff:ffff:ffff:ffff:ffff:ffff:ffff
236ffd9:eb00::/24ffd9:ebff:ffff:ffff:ffff:ffff:ffff:ffff
237ffd9:ec00::/24ffd9:ecff:ffff:ffff:ffff:ffff:ffff:ffff
238ffd9:ed00::/24ffd9:edff:ffff:ffff:ffff:ffff:ffff:ffff
239ffd9:ee00::/24ffd9:eeff:ffff:ffff:ffff:ffff:ffff:ffff
240ffd9:ef00::/24ffd9:efff:ffff:ffff:ffff:ffff:ffff:ffff
241ffd9:f000::/24ffd9:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
242ffd9:f100::/24ffd9:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
243ffd9:f200::/24ffd9:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
244ffd9:f300::/24ffd9:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
245ffd9:f400::/24ffd9:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
246ffd9:f500::/24ffd9:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
247ffd9:f600::/24ffd9:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
248ffd9:f700::/24ffd9:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
249ffd9:f800::/24ffd9:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
250ffd9:f900::/24ffd9:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
251ffd9:fa00::/24ffd9:faff:ffff:ffff:ffff:ffff:ffff:ffff
252ffd9:fb00::/24ffd9:fbff:ffff:ffff:ffff:ffff:ffff:ffff
253ffd9:fc00::/24ffd9:fcff:ffff:ffff:ffff:ffff:ffff:ffff
254ffd9:fd00::/24ffd9:fdff:ffff:ffff:ffff:ffff:ffff:ffff
255ffd9:fe00::/24ffd9:feff:ffff:ffff:ffff:ffff:ffff:ffff
256ffd9:ff00::/24ffd9:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses